<?php
class ControllerextensionModuledantuwenpic extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('extension/module/dantuwenpic');

		$this->document->setTitle(preg_replace('/<(.*?)strong>/i', '', $this->language->get('heading_title')));

		$this->load->model('extension/module');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			if (!isset($this->request->get['module_id'])) {
				$this->model_extension_module->addModule('dantuwenpic', $this->request->post);
			} else {
				$this->model_extension_module->editModule($this->request->get['module_id'], $this->request->post);
			}

			$this->session->data['success'] = $this->language->get('text_success');

			$this->response->redirect($this->url->link('extension/extension', 'token=' . $this->session->data['token'] . '&type=module', true));
		}

		$data['heading_title'] = preg_replace('/<(.*?)strong>/i', '', $this->language->get('heading_title'));

		$data['text_edit'] = $this->language->get('text_edit');
		$data['text_enabled'] = $this->language->get('text_enabled');
		$data['text_disabled'] = $this->language->get('text_disabled');
		$data['text_cwkj_wxts'] = $this->language->get('text_cwkj_wxts');

		$data['entry_name'] = $this->language->get('entry_name');
		$data['entry_image'] = $this->language->get('entry_image');
		$data['entry_width'] = $this->language->get('entry_width');
		$data['entry_height'] = $this->language->get('entry_height');
		$data['entry_title'] = $this->language->get('entry_title');
		$data['entry_section1'] = $this->language->get('entry_section1');
		$data['entry_section2'] = $this->language->get('entry_section2');
		$data['entry_section3'] = $this->language->get('entry_section3');
		$data['entry_buttonname'] = $this->language->get('entry_buttonname');
		$data['entry_link'] = $this->language->get('entry_link');
		$data['entry_status'] = $this->language->get('entry_status');
		$data['entry_bgcolortitle'] = $this->language->get('entry_bgcolortitle');
		$data['entry_describecolor'] = $this->language->get('entry_describecolor');
		$data['entry_bgtcolorcss'] = $this->language->get('entry_bgtcolorcss');
		$data['entry_titlejbcss'] = $this->language->get('entry_titlejbcss');
		$data['entry_boxcolorcss'] = $this->language->get('entry_boxcolorcss');
		$data['entry_titlecss'] = $this->language->get('entry_titlecss');
		$data['entry_button1'] = $this->language->get('entry_button1');
		$data['entry_button2'] = $this->language->get('entry_button2');
		$data['entry_buttonname1'] = $this->language->get('entry_buttonname1');
		$data['entry_buttonname2'] = $this->language->get('entry_buttonname2');
		$data['entry_link'] = $this->language->get('entry_link');
		$data['entry_link1'] = $this->language->get('entry_link1');
		$data['entry_link2'] = $this->language->get('entry_link2');
		$data['entry_danopacity'] = $this->language->get('entry_danopacity');
		$data['entry_danrounded'] = $this->language->get('entry_danrounded');
		$data['entry_dpwidth'] = $this->language->get('entry_dpwidth');
		$data['help_dpwidth'] = $this->language->get('help_dpwidth');
		$data['entry_dpposition'] = $this->language->get('entry_dpposition');
		$data['help_dpposition'] = $this->language->get('help_dpposition');
		$data['entry_pdtop'] = $this->language->get('entry_pdtop');
		$data['entry_pdbottom'] = $this->language->get('entry_pdbottom');
		$data['entry_icons1'] = $this->language->get('entry_icons1');
		$data['entry_icons2'] = $this->language->get('entry_icons2');
		$data['entry_buttoncolor1'] = $this->language->get('entry_buttoncolor1');
		$data['entry_buttoncolor2'] = $this->language->get('entry_buttoncolor2');
		$data['entry_buttonstyle'] = $this->language->get('entry_buttonstyle');
		$data['entry_buttonsize'] = $this->language->get('entry_buttonsize');
		$data['entry_buttoninset'] = $this->language->get('entry_buttoninset');
		$data['entry_buttonborder'] = $this->language->get('entry_buttonborder');
		$data['entry_buttonround'] = $this->language->get('entry_buttonround');
		$data['entry_buttonhover'] = $this->language->get('entry_buttonhover');
        $data['entry_buttond'] = $this->language->get('entry_buttond');
		$data['entry_wgdlg'] = $this->language->get('entry_wgdlg');
		$data['help_wgdlg'] = $this->language->get('help_wgdlg');
		$data['entry_wgdlg1'] = $this->language->get('entry_wgdlg1');
		$data['entry_wgdlg2'] = $this->language->get('entry_wgdlg2');
		$data['entry_wenziposition'] = $this->language->get('entry_wenziposition');
		$data['entry_buttonposition'] = $this->language->get('entry_buttonposition');
		
		$data['button_save'] = $this->language->get('button_save');
		$data['button_cancel'] = $this->language->get('button_cancel');

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		if (isset($this->error['name'])) {
			$data['error_name'] = $this->error['name'];
		} else {
			$data['error_name'] = '';
		}

		if (isset($this->error['image'])) {
			$data['error_image'] = $this->error['image'];
		} else {
			$data['error_image'] = '';
		}

		if (isset($this->error['width'])) {
			$data['error_width'] = $this->error['width'];
		} else {
			$data['error_width'] = '';
		}

		if (isset($this->error['height'])) {
			$data['error_height'] = $this->error['height'];
		} else {
			$data['error_height'] = '';
		}
		if (isset($this->error['wgdlg1'])) {
			$data['error_wgdlg1'] = $this->error['wgdlg1'];
		} else {
			$data['error_wgdlg1'] = '';
		}
		if (isset($this->error['wgdlg2'])) {
			$data['error_wgdlg2'] = $this->error['wgdlg2'];
		} else {
			$data['error_wgdlg2'] = '';
		}
		if (isset($this->error['title'])) {
			$data['error_title'] = $this->error['title'];
		} else {
			$data['error_title'] = '';
		}
		if (isset($this->error['dpposition'])) {
			$data['error_dpposition'] = $this->error['dpposition'];
		} else {
			$data['error_dpposition'] = '';
		}
		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], 'SSL')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_module'),
			'href' => $this->url->link('extension/extension', 'token=' . $this->session->data['token'], 'SSL')
		);

		if (!isset($this->request->get['module_id'])) {
			$data['breadcrumbs'][] = array(
				'text' => preg_replace('/<(.*?)strong>/i', '', $this->language->get('heading_title')),
				'href' => $this->url->link('extension/module/dantuwenpic', 'token=' . $this->session->data['token'], 'SSL')
			);
		} else {
			$data['breadcrumbs'][] = array(
				'text' => preg_replace('/<(.*?)strong>/i', '', $this->language->get('heading_title')),
				'href' => $this->url->link('extension/module/dantuwenpic', 'token=' . $this->session->data['token'] . '&module_id=' . $this->request->get['module_id'], 'SSL')
			);
		}

		if (!isset($this->request->get['module_id'])) {
			$data['action'] = $this->url->link('extension/module/dantuwenpic', 'token=' . $this->session->data['token'], 'SSL');
		} else {
			$data['action'] = $this->url->link('extension/module/dantuwenpic', 'token=' . $this->session->data['token'] . '&module_id=' . $this->request->get['module_id'], 'SSL');
		}

		$data['cancel'] = $this->url->link('extension/extension', 'token=' . $this->session->data['token'] . '&type=module', true);

		if (isset($this->request->get['module_id']) && ($this->request->server['REQUEST_METHOD'] != 'POST')) {
			$module_info = $this->model_extension_module->getModule($this->request->get['module_id']);
		}

		if (isset($this->request->post['name'])) {
			$data['name'] = $this->request->post['name'];
		} elseif (!empty($module_info)) {
			$data['name'] = $module_info['name'];
		} else {
			$data['name'] = '';
		}
		$this->load->model('tool/image');

		if (isset($this->request->post['image'])) {
			$data['image'] = $this->request->post['image'];
		} elseif (isset($module_info['image'])) {
			$data['image'] = $module_info['image'];
		} else {
			$data['image'] = '';
		}

		if (is_file(DIR_IMAGE . $data['image'])) {
			$thumb = $data['image'];
		} else {
			$thumb = 'no_image.png';
		}

		$data['thumb'] = $this->model_tool_image->resize($thumb, 100, 100);

		if (isset($this->request->post['width'])) {
			$data['width'] = $this->request->post['width'];
		} elseif (!empty($module_info)) {
			$data['width'] = $module_info['width'];
		} else {
			$data['width'] = '1600';
		}

		if (isset($this->request->post['height'])) {
			$data['height'] = $this->request->post['height'];
		} elseif (!empty($module_info)) {
			$data['height'] = $module_info['height'];
		} else {
			$data['height'] = '750';
		}

		if (isset($this->request->post['title'])) {
			$data['title'] = $this->request->post['title'];
		} elseif (!empty($module_info)) {
			$data['title'] = $module_info['title'];
		} else {
			$data['title'] = '';
		}
		
		if (isset($this->request->post['section1'])) {
			$data['section1'] = $this->request->post['section1'];
		} elseif (!empty($module_info)) {
			$data['section1'] = $module_info['section1'];
		} else {
			$data['section1'] = '';
		}				
		if (isset($this->request->post['section2'])) {
			$data['section2'] = $this->request->post['section2'];
		} elseif (!empty($module_info)) {
			$data['section2'] = $module_info['section2'];
		} else {
			$data['section2'] = '';
		}
		if (isset($this->request->post['wgdlg1'])) {
			$data['wgdlg1'] = $this->request->post['wgdlg1'];
		} elseif (!empty($module_info)) {
			$data['wgdlg1'] = $module_info['wgdlg1'];
		} else {
			$data['wgdlg1'] = '6';
		}
		if (isset($this->request->post['wgdlg2'])) {
			$data['wgdlg2'] = $this->request->post['wgdlg2'];
		} elseif (!empty($module_info)) {
			$data['wgdlg2'] = $module_info['wgdlg2'];
		} else {
			$data['wgdlg2'] = '6';
		}
		if (isset($this->request->post['icons1'])) {
			$data['icons1'] = $this->request->post['icons1'];
		} elseif (!empty($module_info)) {
			$data['icons1'] = $module_info['icons1'];
		} else {
			$data['icons1'] = 'fa fa-apple';
		}
		if (isset($this->request->post['icons2'])) {
			$data['icons2'] = $this->request->post['icons2'];
		} elseif (!empty($module_info)) {
			$data['icons2'] = $module_info['icons2'];
		} else {
			$data['icons2'] = 'fa fa-android';
		}
		if (isset($this->request->post['wenziposition'])) {
			$data['wenziposition'] = $this->request->post['wenziposition'];
		} elseif (!empty($module_info)) {
			$data['wenziposition'] = $module_info['wenziposition'];
		} else {
			$data['wenziposition'] = 'left';
		}
		if (isset($this->request->post['buttonposition'])) {
			$data['buttonposition'] = $this->request->post['buttonposition'];
		} elseif (!empty($module_info)) {
			$data['buttonposition'] = $module_info['buttonposition'];
		} else {
			$data['buttonposition'] = 'center';
		}
		if (isset($this->request->post['section3'])) {
			$data['section3'] = $this->request->post['section3'];
		} elseif (!empty($module_info)) {
			$data['section3'] = $module_info['section3'];
		} else {
			$data['section3'] = '';
		}
		if (isset($this->request->post['titlecss'])) {
			$data['titlecss'] = $this->request->post['titlecss'];
		} elseif (!empty($module_info)) {
			$data['titlecss'] = $module_info['titlecss'];
		} else {
			$data['titlecss'] = '';
		}
		if (isset($this->request->post['describecolor'])) {
			$data['describecolor'] = $this->request->post['describecolor'];
		} elseif (!empty($module_info)) {
			$data['describecolor'] = $module_info['describecolor'];
		} else {
			$data['describecolor'] = '';
		}
		if (isset($this->request->post['buttonname1'])) {
			$data['buttonname1'] = $this->request->post['buttonname1'];
		} elseif (!empty($module_info)) {
			$data['buttonname1'] = $module_info['buttonname1'];
		} else {
			$data['buttonname1'] = '限时促销';
		}
		if (isset($this->request->post['buttonname2'])) {
			$data['buttonname2'] = $this->request->post['buttonname2'];
		} elseif (!empty($module_info)) {
			$data['buttonname2'] = $module_info['buttonname2'];
		} else {
			$data['buttonname2'] = '预约体验';
		}
		if (isset($this->request->post['link1'])) {
			$data['link1'] = $this->request->post['link1'];
		} elseif (!empty($module_info)) {
			$data['link1'] = $module_info['link1'];
		} else {
			$data['link1'] = 'http://wogaoding.net';
		}
		if (isset($this->request->post['link2'])) {
			$data['link2'] = $this->request->post['link2'];
		} elseif (!empty($module_info)) {
			$data['link2'] = $module_info['link2'];
		} else {
			$data['link2'] = 'http://wogaoding.net';
		}
		if (isset($this->request->post['danopacity'])) {
			$data['danopacity'] = $this->request->post['danopacity'];
		} elseif (!empty($module_info)) {
			$data['danopacity'] = $module_info['danopacity'];
		} else {
			$data['danopacity'] = 'rgba(0,0,0,0.65)';
		}
		if (isset($this->request->post['danrounded'])) {
			$data['danrounded'] = $this->request->post['danrounded'];
		} elseif (!empty($module_info)) {
			$data['danrounded'] = $module_info['danrounded'];
		} else {
			$data['danrounded'] = '';
		}
		if (isset($this->request->post['dpwidth'])) {
			$data['dpwidth'] = $this->request->post['dpwidth'];
		} elseif (!empty($module_info)) {
			$data['dpwidth'] = $module_info['dpwidth'];
		} else {
			$data['dpwidth'] = '';
		}
		if (isset($this->request->post['dpposition'])) {
			$data['dpposition'] = $this->request->post['dpposition'];
		} elseif (!empty($module_info)) {
			$data['dpposition'] = $module_info['dpposition'];
		} else {
			$data['dpposition'] = 'center';
		}
		if (isset($this->request->post['pdtop'])) {
			$data['pdtop'] = $this->request->post['pdtop'];
		} elseif (!empty($module_info)) {
			$data['pdtop'] = $module_info['pdtop'];
		} else {
			$data['pdtop'] = '70';
		}
		if (isset($this->request->post['pdbottom'])) {
			$data['pdbottom'] = $this->request->post['pdbottom'];
		} elseif (!empty($module_info)) {
			$data['pdbottom'] = $module_info['pdbottom'];
		} else {
			$data['pdbottom'] = '70';
		}
		if (isset($this->request->post['buttoncolor1'])) {
			$data['buttoncolor1'] = $this->request->post['buttoncolor1'];
		} elseif (!empty($module_info)) {
			$data['buttoncolor1'] = $module_info['buttoncolor1'];
		} else {
			$data['buttoncolor1'] = 'white';
		}
		if (isset($this->request->post['buttoncolor2'])) {
			$data['buttoncolor2'] = $this->request->post['buttoncolor2'];
		} elseif (!empty($module_info)) {
			$data['buttoncolor2'] = $module_info['buttoncolor2'];
		} else {
			$data['buttoncolor2'] = 'white';
		}
		if (isset($this->request->post['buttonsize'])) {
			$data['buttonsize'] = $this->request->post['buttonsize'];
		} elseif (!empty($module_info)) {
			$data['buttonsize'] = $module_info['buttonsize'];
		} else {
			$data['buttonsize'] = 'md';
		}		
		if (isset($this->request->post['buttoninset'])) {
			$data['buttoninset'] = $this->request->post['buttoninset'];
		} elseif (!empty($module_info)) {
			$data['buttoninset'] = $module_info['buttoninset'];
		} else {
			$data['buttoninset'] = '';
		}	
		if (isset($this->request->post['buttonborder'])) {
			$data['buttonborder'] = $this->request->post['buttonborder'];
		} elseif (!empty($module_info)) {
			$data['buttonborder'] = $module_info['buttonborder'];
		} else {
			$data['buttonborder'] = '';
		}		
		if (isset($this->request->post['buttonround'])) {
			$data['buttonround'] = $this->request->post['buttonround'];
		} elseif (!empty($module_info)) {
			$data['buttonround'] = $module_info['buttonround'];
		} else {
			$data['buttonround'] = '';
		}
		if (isset($this->request->post['buttonhover'])) {
			$data['buttonhover'] = $this->request->post['buttonhover'];
		} elseif (!empty($module_info)) {
			$data['buttonhover'] = $module_info['buttonhover'];
		} else {
			$data['buttonhover'] = '';
		}
		if (isset($this->request->post['buttond'])) {
			$data['buttond'] = $this->request->post['buttond'];
		} elseif (!empty($module_info)) {
			$data['buttond'] = $module_info['buttond'];
		} else {
			$data['buttond'] = '';
		}		
		if (isset($this->request->post['status'])) {
			$data['status'] = $this->request->post['status'];
		} elseif (!empty($module_info)) {
			$data['status'] = $module_info['status'];
		} else {
			$data['status'] = '';
		}

		$data['placeholder'] = $this->model_tool_image->resize('no_image.png', 100, 100);

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('extension/module/dantuwenpic.tpl', $data));
	}

	protected function validate() {
		if (!$this->user->hasPermission('modify', 'extension/module/dantuwenpic')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		if ((utf8_strlen($this->request->post['name']) < 3) || (utf8_strlen($this->request->post['name']) > 64)) {
			$this->error['name'] = $this->language->get('error_name');
		}

		if (!$this->request->post['image']) {
			$this->error['image'] = $this->language->get('error_image');
		}

		if (!$this->request->post['width']) {
			$this->error['width'] = $this->language->get('error_width');
		}

		if (!$this->request->post['height']) {
			$this->error['height'] = $this->language->get('error_height');
		}

		if (!$this->request->post['dpposition']) {
			$this->error['dpposition'] = $this->language->get('error_dpposition');
		}
		return !$this->error;
	}
}
